org.apache.tamaya.integration.cdi

## Class ConfigurationExtension

- java.lang.Object
- - org.apache.tamaya.integration.cdi.ConfigurationExtension

- All Implemented Interfaces:
    javax.enterprise.inject.spi.Extension

      public class ConfigurationExtension
      extends Object
      implements javax.enterprise.inject.spi.Extension

  CDI Extension module that adds injection mechanism for configuration.
  See Also:
    `Config`, `ConfigDefaultSections`, `ConfigException`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationExtension()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConverter(javax.enterprise.inject.spi.AfterBeanDiscovery abd, javax.enterprise.inject.spi.BeanManager bm)`
    `void` | `captureConvertBean(javax.enterprise.inject.spi.ProcessProducerMethod<?,?> ppm)`
    `static List<String>` | `evaluateKeys(String memberName, String[] keys, String[] sections)` Evaluates the effective keys to be used. if no `keys` are defined, `memberName` is used.
    `void` | `retrieveTypes(javax.enterprise.inject.spi.ProcessBean<?> pb, javax.enterprise.inject.spi.BeanManager beanManager)` Method that checks the configuration injection points during deployment for available configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationExtension

          public ConfigurationExtension()

  - ### Method Detail

    - #### retrieveTypes

          public void retrieveTypes(@Observes
                           javax.enterprise.inject.spi.ProcessBean<?> pb,
                           javax.enterprise.inject.spi.BeanManager beanManager)

      Method that checks the configuration injection points during deployment for available configuration.
      Parameters:
        `pb` - the bean to process.
        `beanManager` - the bean manager to notify about new injections.

    - #### captureConvertBean

          public void captureConvertBean(@Observes
                                javax.enterprise.inject.spi.ProcessProducerMethod<?,?> ppm)

    - #### addConverter

          public void addConverter(@Observes
                          javax.enterprise.inject.spi.AfterBeanDiscovery abd,
                          javax.enterprise.inject.spi.BeanManager bm)

    - #### evaluateKeys

          public static List<String> evaluateKeys(String memberName,
                                  String[] keys,
                                  String[] sections)

      Evaluates the effective keys to be used. if no `keys` are defined, `memberName` is used. The effective keys are then combined with the sections given (if any) and only, if the given keys are not absolute keys (surrounded by brackets).
      Parameters:
        `memberName` - the default member name, not null.
        `keys` - the keys, may be empty, or null.
        `sections` - the default sections, may be empty. May also be null.
      Returns:
        the list of keys to be finally used for configuration resolution in order of precedence. The first keys in the list that could be successfully resolved define the final configuration value.

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.